prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- Oracle APEX export file
--
-- You should run this script using a SQL client connected to the database as
-- the owner (parsing schema) of the application or as a database user with the
-- APEX_ADMINISTRATOR_ROLE role.
--
-- This export file has been automatically generated. Modifying this file is not
-- supported by Oracle and can lead to unexpected application and/or instance
-- behavior now or in the future.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_imp.import_begin (
 p_version_yyyy_mm_dd=>'2023.10.31'
,p_release=>'23.2.0-17'
,p_default_workspace_id=>3188248751413092091
,p_default_application_id=>257908
,p_default_id_offset=>0
,p_default_owner=>'WKSP_MATEST'
);
end;
/
 
prompt APPLICATION 257908 - Progress Arrows Demo
--
-- Application Export:
--   Application:     257908
--   Name:            Progress Arrows Demo
--   Date and Time:   18:53 Monday October 30, 2023
--   Exported By:     MICHAEL.ABELE@TESAT.DE
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 59101426534492076021
--   Manifest End
--   Version:         23.2.0-17
--   Instance ID:     63113759365424
--

begin
  -- replace components
  wwv_flow_imp.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/template_component/progressarrow
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(59101426534492076021)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '')
,p_name=>'PROGRESSARROW'
,p_display_name=>'Progress Arrows'
,p_supported_component_types=>'REPORT'
,p_css_file_urls=>'#PLUGIN_FILES#css/progress_arrows#MIN#.css'
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'  <div></div>',
'{else/}',
'  <div>',
'      #LABEL#',
'  </div>',
'{endif/}'))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>2
,p_report_body_template=>'<ul id="progress">#APEX$ROWS#</ul>'
,p_report_row_template=>'<li #APEX$ROW_IDENTIFICATION# class="#CLASS#" title="#TOOLTIP#">#APEX$PARTIAL#</li>'
,p_report_placeholder_count=>3
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'1.0'
,p_files_version=>87
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(59101708321072709228)
,p_plugin_id=>wwv_flow_imp.id(59101426534492076021)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'LABEL'
,p_prompt=>'Label'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(59101708925219717759)
,p_plugin_id=>wwv_flow_imp.id(59101426534492076021)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'CLASS'
,p_prompt=>'Class'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(59101814068854415119)
,p_plugin_id=>wwv_flow_imp.id(59101426534492076021)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'TOOLTIP'
,p_prompt=>'Tooltip'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2A207B0D0A20202020626F782D73697A696E673A20626F726465722D626F783B0D0A7D0D0A0D0A2370726F6772657373207B0D0A2020202070616464696E673A20303B0D0A202020206C6973742D7374796C652D747970653A206E6F6E653B0D0A202020';
wwv_flow_imp.g_varchar2_table(2) := '206D617267696E3A2030202D3170783B0D0A20202020746578742D616C69676E3A2063656E7465723B20200D0A2020202077696474683A20313030253B202020200D0A20202020646973706C61793A207461626C653B0D0A202020207461626C652D6C61';
wwv_flow_imp.g_varchar2_table(3) := '796F75743A2066697865643B0D0A7D0D0A0D0A2370726F6772657373206C69207B0D0A2020202070616464696E673A20313070782033307078203130707820343070783B0D0A202020206261636B67726F756E643A20726762612835312C2035312C2035';
wwv_flow_imp.g_varchar2_table(4) := '312C20302E303832293B0D0A20202020636F6C6F723A20236666663B0D0A20202020706F736974696F6E3A2072656C61746976653B0D0A20202020626F726465722D746F703A2031707820736F6C696420234646463B0D0A20202020626F726465722D62';
wwv_flow_imp.g_varchar2_table(5) := '6F74746F6D3A2031707820736F6C696420234646463B0D0A2020202077696474683A206175746F3B0D0A20202020646973706C61793A207461626C652D63656C6C3B2020200D0A202020206D617267696E3A2030203170783B0D0A202020206C696E652D';
wwv_flow_imp.g_varchar2_table(6) := '6865696768743A20302E3872656D3B2020200D0A7D0D0A0D0A2370726F6772657373206C693A6265666F7265207B0D0A20202020636F6E74656E743A2027273B0D0A20202020626F726465722D6C6566743A203136707820736F6C696420236666663B0D';
wwv_flow_imp.g_varchar2_table(7) := '0A20202020626F726465722D746F703A203136707820736F6C6964207472616E73706172656E743B0D0A20202020626F726465722D626F74746F6D3A203136707820736F6C6964207472616E73706172656E743B0D0A20202020706F736974696F6E3A20';
wwv_flow_imp.g_varchar2_table(8) := '6162736F6C7574653B0D0A20202020746F703A20303B0D0A202020206C6566743A20303B0D0A7D0D0A2370726F6772657373206C693A6166746572207B0D0A20202020636F6E74656E743A2027273B0D0A20202020626F726465722D6C6566743A203136';
wwv_flow_imp.g_varchar2_table(9) := '707820736F6C696420726762612835312C2035312C2035312C20302E303832293B0D0A20202020626F726465722D746F703A203136707820736F6C6964207472616E73706172656E743B0D0A20202020626F726465722D626F74746F6D3A203136707820';
wwv_flow_imp.g_varchar2_table(10) := '736F6C6964207472616E73706172656E743B0D0A20202020706F736974696F6E3A206162736F6C7574653B0D0A20202020746F703A20303B0D0A202020206C6566743A20313030253B0D0A202020207A2D696E6465783A2032303B0D0A7D0D0A0D0A2370';
wwv_flow_imp.g_varchar2_table(11) := '726F6772657373206C692E63757272656E74207B0D0A202020206261636B67726F756E643A20766172282D2D75742D666F6375732D6F75746C696E652D636F6C6F72293B200D0A7D0D0A0D0A2370726F6772657373206C692E63757272656E743A616674';
wwv_flow_imp.g_varchar2_table(12) := '6572207B0D0A20202020626F726465722D6C6566742D636F6C6F723A20766172282D2D75742D666F6375732D6F75746C696E652D636F6C6F72293B0D0A7D0D0A0D0A2370726F6772657373206C692E636F6D706C65746564207B0D0A202020206261636B';
wwv_flow_imp.g_varchar2_table(13) := '67726F756E643A20766172282D2D752D636F6C6F722D3135293B0D0A7D0D0A0D0A2370726F6772657373206C692E636F6D706C657465643A6166746572207B0D0A20202020626F726465722D6C6566742D636F6C6F723A20766172282D2D752D636F6C6F';
wwv_flow_imp.g_varchar2_table(14) := '722D3135293B0D0A7D0D0A0D0A2370726F6772657373206C692E70656E64696E67207B0D0A202020206261636B67726F756E643A20766172282D2D752D636F6C6F722D3134293B0D0A20202020636F6C6F723A20766172282D2D752D6E6F726D616C2920';
wwv_flow_imp.g_varchar2_table(15) := '21696D706F7274616E743B0D0A7D0D0A0D0A2370726F6772657373206C692E70656E64696E673A6166746572207B0D0A20202020626F726465722D6C6566742D636F6C6F723A20766172282D2D752D636F6C6F722D3134293B0D0A7D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(59075355638938588796)
,p_plugin_id=>wwv_flow_imp.id(59101426534492076021)
,p_file_name=>'css/progress_arrows.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2A7B626F782D73697A696E673A626F726465722D626F787D2370726F67726573737B70616464696E673A303B6C6973742D7374796C652D747970653A6E6F6E653B6D617267696E3A302D3170783B746578742D616C69676E3A63656E7465723B77696474';
wwv_flow_imp.g_varchar2_table(2) := '683A313030253B646973706C61793A7461626C653B7461626C652D6C61796F75743A66697865647D2370726F6772657373206C697B70616464696E673A313070782033307078203130707820343070783B6261636B67726F756E643A726762612835312C';
wwv_flow_imp.g_varchar2_table(3) := '35312C35312C2E303832293B636F6C6F723A236666663B706F736974696F6E3A72656C61746976653B626F726465722D746F703A31707820736F6C696420236666663B626F726465722D626F74746F6D3A31707820736F6C696420236666663B77696474';
wwv_flow_imp.g_varchar2_table(4) := '683A6175746F3B646973706C61793A7461626C652D63656C6C3B6D617267696E3A30203170783B6C696E652D6865696768743A2E3872656D7D2370726F6772657373206C693A61667465722C2370726F6772657373206C693A6265666F72657B636F6E74';
wwv_flow_imp.g_varchar2_table(5) := '656E743A22223B626F726465722D746F703A3136707820736F6C6964207472616E73706172656E743B626F726465722D626F74746F6D3A3136707820736F6C6964207472616E73706172656E743B706F736974696F6E3A6162736F6C7574653B746F703A';
wwv_flow_imp.g_varchar2_table(6) := '307D2370726F6772657373206C693A6265666F72657B626F726465722D6C6566743A3136707820736F6C696420236666663B6C6566743A307D2370726F6772657373206C693A61667465727B626F726465722D6C6566743A3136707820736F6C69642072';
wwv_flow_imp.g_varchar2_table(7) := '6762612835312C35312C35312C2E303832293B6C6566743A313030253B7A2D696E6465783A32307D2370726F6772657373206C692E63757272656E747B6261636B67726F756E643A766172282D2D75742D666F6375732D6F75746C696E652D636F6C6F72';
wwv_flow_imp.g_varchar2_table(8) := '297D2370726F6772657373206C692E63757272656E743A61667465727B626F726465722D6C6566742D636F6C6F723A766172282D2D75742D666F6375732D6F75746C696E652D636F6C6F72297D2370726F6772657373206C692E636F6D706C657465647B';
wwv_flow_imp.g_varchar2_table(9) := '6261636B67726F756E643A766172282D2D752D636F6C6F722D3135297D2370726F6772657373206C692E636F6D706C657465643A61667465727B626F726465722D6C6566742D636F6C6F723A766172282D2D752D636F6C6F722D3135297D2370726F6772';
wwv_flow_imp.g_varchar2_table(10) := '657373206C692E70656E64696E677B6261636B67726F756E643A766172282D2D752D636F6C6F722D3134293B636F6C6F723A766172282D2D752D6E6F726D616C2921696D706F7274616E747D2370726F6772657373206C692E70656E64696E673A616674';
wwv_flow_imp.g_varchar2_table(11) := '65727B626F726465722D6C6566742D636F6C6F723A766172282D2D752D636F6C6F722D3134297D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(59096787357440037122)
,p_plugin_id=>wwv_flow_imp.id(59101426534492076021)
,p_file_name=>'css/progress_arrows.min.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_imp.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
